| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes | Properties | Private Member Functions | Private Attributes | List of all members
IG.Forms.VectorFunctionPlotter2d Class Reference

Form for simple parametric tests (variation of selected parameter) performed on ANN models. More...

Inheritance diagram for IG.Forms.VectorFunctionPlotter2d:
[legend]
Collaboration diagram for IG.Forms.VectorFunctionPlotter2d:
[legend]

## Public Member Functions
| VectorFunctionPlotter2d ()
virtual double | CalculateOutput (IVector parameters, int whichOutput)
| Calculates the specified output value of the vector function at the specified parameters. More...
void | ApplyPlotterSettingsDefault (PlotterZedGraph plotter, int whichInput, int numInputs, int whichOutput, int numOutpts)
| Applies style and other settings to the plotter used to show the parametric graph. More...
void | ApplyPlotCurveSettingsDefault (PlotZedgraphCurve plot, int whichInput, int numInputs, int whichOutput, int numOutpts)
| Applies style and other settings to the plotter used to show the parametric graph. More...
void | PlotParametricTest1d ()
| plots the selected outpt dependend on the selected parameter. More...
virtual void | ApplySurfacePlotSettingsDefault (VtkSurfacePlotBase plot)
| Applies default settings to surface plots. More...
virtual void | ApplySurfacePlottterSettingsDefault (VtkPlotter plotter, int whichInput1, int whichInput2, int whichOutput)
| Applies default settings to plotter used to render 3D graphs. More...
void | PlotParametricTest ()
| plots the selected outpt dependend on the selected parameter. More...

## Static Public Attributes
static string | SelectedParametersIntroStr = "Selected input parameters: "

## Protected Member Functions
void | UpdateSeclectedParametersDependencies ()
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Protected Attributes
int | _selectedParameterId1 = 0
int | _selectedParameterId2 = 0
int | _selectedOutputId = 0
int | _numPoints1 = 80
int | _numPoints2 = 80
ColorScale | SurfaceColorScale
BoundingBox3d | OriginalBounds

## Properties
IReporter | Reporter`[get]`
| Reorter used for launching info, warning and error reports. More...
InputOutputDataDefiniton | NeuralDataDefinition`[get, set]`
| Data about input and output quantities of the manipulated functions or response. More...
IScalarFunction | ScalarFunction`[set]`
IVectorFunction | Function`[get, set]`
int | NumInputParameters`[get]`
| Gets number of input parameters. More...
int | NumOutputValues`[get]`
| Gets number of output values. More...
IVector | ParameterValues`[get]`
| Vector of current values of input parameters as defined by the DadaGridView. More...
double[] | MinValues`[get]`
| Minimal values of parameters. More...
double[] | MaxValues`[get]`
| Maximal values of parameters. More...
int | SelectedParameterId1`[get, protected set]`
| Sequential number of the selected first parameter as specified by the user. More...
double | SelectedParameterMin1`[get]`
| Minimal value of the selected first parameter. More...
double | SelectedParameterMax1`[get]`
| Maximal value of the selected first parameter as specified by the user. More...
int | SelectedParameterId2`[get, protected set]`
| Sequential number of the selected second parameter as specified by the user. More...
double | SelectedParameterMin2`[get]`
| Minimal value of the selected second parameter. More...
double | SelectedParameterMax2`[get]`
| Maximal value of the selected second parameter as specified by the user. More...
int | SelectedOutputId`[get, protected set]`
int | NumPlotPoints1`[get, set]`
| Number of plotting points in the 1st direction. More...
int | NumPlotPoints2`[get, set]`
| Number of plotting points in the 2nd direction. More...
string | SelectedParameterLabelText`[get]`
| Gets axis label text for the currently selected parameter. More...
string | SelectedOutputLabelText`[get]`
| Gets axis label text for the currently selected output value. More...
PlotterZedGraph | Plotterzedgraph`[get]`
| Plotter that is used for plotting the graphs. More...
bool | PlotImmediately`[get, set]`
| If true then graph is pletted immediately when any parameter changes that affects it appearance. More...
bool | PlotImmediately2dAlso`[get, set]`
bool | PlotImmediatelyOnNumPointsValueChanged`[get, set]`

## Private Member Functions
void | neuralInputSelector1_SelectedParameterIdChanged (object sender, IndexChangeEventArgs e)
| Executes when ID of the selected first input parameter changes; Plots the parametric test. More...
void | neuralInputSelector1_SelectedParameterMinChanged (object sender, ValueChangeEventArgs e)
| Executes when minimal value of the selected first parameter changes by user interaction; Plots the parametric test. More...
void | neuralInputSelector1_SelectedParameterMaxChanged (object sender, ValueChangeEventArgs e)
| Executes when maximal value of the selected first parameter changes by user interaction; Plots the parametric test. More...
void | neuralInputSelector2_SelectedParameterIdChanged (object sender, IndexChangeEventArgs e)
| Executes when ID of the selected second input parameter changes; Plots the parametric test. More...
void | neuralInputSelector2_SelectedParameterMinChanged (object sender, ValueChangeEventArgs e)
| Executes when minimal value of the selected second parameter changes by user interaction; Plots the parametric test. More...
void | neuralInputSelector2_SelectedParameterMaxChanged (object sender, ValueChangeEventArgs e)
| Executes when maximal value of the selected second parameter changes by user interaction; Plots the parametric test. More...
void | neuralOutputValueSelector1_SelectedOutputIdChanged (object sender, IndexChangeEventArgs e)
| Executes when ID of the selected output value changes; Plots the parametric test. More...
void | chkPlotImmediately_CheckedChanged (object sender, EventArgs e)
void | numNumPlotPoints1_Validated (object sender, EventArgs e)
void | numNumPlotPoints1_ValueChanged (object sender, EventArgs e)
void | numNumPlotPoints2_Validated (object sender, EventArgs e)
void | numNumPlotPoints2_ValueChanged (object sender, EventArgs e)
void | btnParmTestStart_Click (object sender, EventArgs e)
| Plots the parametric test. More...
void | btnIdentifyThread_Click (object sender, EventArgs e)
void | btnCheck_Click (object sender, EventArgs e)
void | btnTestFunction_Click (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
InputOutputDataDefiniton | _neuralDataDefinition
IScalarFunction | _scalarFunction
IVectorFunction | _function
PlotterZedGraph | _plotterZedgraph
bool | _plotImmediately = false
bool | _plotImmediately2dAlso = false
bool | _plotImmediatelyOnNumPointsValueChanged = true
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
InputParametersControl | neuralInputControl1
System.Windows.Forms.Panel | pnlGraph
System.Windows.Forms.NumericUpDown | numNumPlotPoints1
System.Windows.Forms.Label | lblNumPoints
ZedGraph.ZedGraphControl | ParmTestFGraph
System.Windows.Forms.Button | btnParamTestStart
IG.Forms.OutputValueSelector | neuralOutputValueSelector1
IG.Forms.InputParameterSelectorMinMax | neuralInputSelector1
System.Windows.Forms.Label | lblTitleParametric2d
IG.Forms.InputParameterSelectorMinMax | neuralInputSelector2
System.Windows.Forms.NumericUpDown | numNumPlotPoints2
System.Windows.Forms.Label | lblNumPointsCross
System.Windows.Forms.Label | lblSelectedParameters
System.Windows.Forms.CheckBox | chkScaled
IG.Forms.IndicatorLight | indicatorLight1
System.Windows.Forms.CheckBox | chkPlotImmediately
System.Windows.Forms.Button | btnIdentifyThread
System.Windows.Forms.Button | btnCheck
System.Windows.Forms.Button | btnTestFunction

## Detailed Description

Form for simple parametric tests (variation of selected parameter) performed on ANN models.

$A Igor Jun13;

## Constructor & Destructor Documentation

IG.Forms.VectorFunctionPlotter2d.VectorFunctionPlotter2d | ( |  | ) |
| inline

## Member Function Documentation

virtual double IG.Forms.VectorFunctionPlotter2d.CalculateOutput | ( | IVector | parameters,
|  | int | whichOutput
| ) |  |
| inline virtual

Calculates the specified output value of the vector function at the specified parameters.

Parameters

  parameters | Parameter values.
  whichOutput | Specifies which output value (which element of the vector function) should be calculated.

Returns
  The calculated vector function component.

References IG.Lib.Function.

void IG.Forms.VectorFunctionPlotter2d.UpdateSeclectedParametersDependencies | ( |  | ) |
| inline protected

void IG.Forms.VectorFunctionPlotter2d.ApplyPlotterSettingsDefault | ( | PlotterZedGraph | plotter,
|  | int | whichInput,
|  | int | numInputs,
|  | int | whichOutput,
|  | int | numOutpts
| ) |  |
| inline

Applies style and other settings to the plotter used to show the parametric graph.

Parameters

  plotter | Plotter to which settings are applied.
  whichInput | ID of the input to be plotted.
  whichOutpput | ID of the output to be plotted.

References IG.Gr.PlotterZedGraph.IsShowPointValues, IG.Gr.PlotterZedGraph.XAxisLabel, and IG.Gr.PlotterZedGraph.YAxisLabel.

void IG.Forms.VectorFunctionPlotter2d.ApplyPlotCurveSettingsDefault | ( | PlotZedgraphCurve | plot,
|  | int | whichInput,
|  | int | numInputs,
|  | int | whichOutput,
|  | int | numOutpts
| ) |  |
| inline

Applies style and other settings to the plotter used to show the parametric graph.

Parameters

  plotter | Plotter to which settings are applied.
  whichInput | ID of the input to be plotted.
  whichOutpput | ID of the output to be plotted.

References IG.Gr.PlotZedgraphCurve.LineColor, IG.Gr.PlotZedgraphCurve.LineWidth, IG.Gr.PlotZedgraphCurve.PointBorderColor, IG.Gr.PlotZedgraphCurve.PointFillColor, and IG.Gr.PlotZedgraphCurve.PointsVisible.

void IG.Forms.VectorFunctionPlotter2d.PlotParametricTest1d | ( |  | ) |
| inline

plots the selected outpt dependend on the selected parameter.

References IG.Gr.PlotZedgraphCurve.AddPoint(), and IG.Num.VectorBase.CopyPlain().

virtual void IG.Forms.VectorFunctionPlotter2d.ApplySurfacePlotSettingsDefault | ( | VtkSurfacePlotBase | plot | ) |
| inline virtual

Applies default settings to surface plots.

Parameters

  plot | Surface plot to which settings are applied.

References IG.Gr3d.VtkSurfacePlotBase.LineColor, IG.Gr3d.VtkSurfacePlotBase.LinesVisible, IG.Gr3d.VtkSurfacePlotBase.LineWidth, IG.Gr3d.VtkSurfacePlotBase.PointsVisible, IG.Gr3d.VtkSurfacePlotBase.SurfaceColor, IG.Gr3d.VtkSurfacePlotBase.SurfaceColorIsScaled, IG.Gr3d.VtkSurfacePlotBase.SurfaceColorOpacity, IG.Gr3d.VtkSurfacePlotBase.SurfaceColorScale, and IG.Gr3d.VtkSurfacePlotBase.SurfacesVisible.

virtual void IG.Forms.VectorFunctionPlotter2d.ApplySurfacePlottterSettingsDefault | ( | VtkPlotter | plotter,
|  | int | whichInput1,
|  | int | whichInput2,
|  | int | whichOutput
| ) |  |
| inline virtual

Applies default settings to plotter used to render 3D graphs.

Parameters

  plotter | 3D Plotter to which settings are applied.

References IG.Gr3d.VtkPlotter.BackGround, IG.Gr3d.VtkDecorationHandler.CubeAxesFlyMode, IG.Gr3d.VtkDecorationHandler.CubeAxesXLabel, IG.Gr3d.VtkDecorationHandler.CubeAxesYLabel, IG.Gr3d.VtkDecorationHandler.CubeAxesZLabel, IG.Gr3d.VtkPlotter.DecorationHandler, IG.Gr3d.VtkDecorationHandler.LookUpTableColorScale, IG.Gr3d.VtkDecorationHandler.LookUpTableMaxRange, IG.Gr3d.VtkDecorationHandler.LookUpTableMinRange, IG.Num.BoundingBox3d.MaxZ, IG.Num.BoundingBox3d.MinZ, IG.Gr3d.VtkDecorationHandler.ScalarBarNumberOfLabels, IG.Gr3d.VtkDecorationHandler.ScalarBarTitle, IG.Gr3d.VtkDecorationHandler.ShowCubeAxes, IG.Gr3d.VtkDecorationHandler.ShowScalarBar, IG.Gr3d.VtkPlotter.WindowSizeX, and IG.Gr3d.VtkPlotter.WindowSizeY.

void IG.Forms.VectorFunctionPlotter2d.PlotParametricTest | ( |  | ) |
| inline

plots the selected outpt dependend on the selected parameter.

References IG.Gr3d.VtkSurfacePlot.ClearSurfaceDefinition(), IG.Num.StructuredMeshGeometry2d< TCoord >.Coordinates, IG.Num.VectorBase.CopyPlain(), IG.Gr3d.VtkSurfacePlot.Create(), IG.Lib.Function, IG.Num.Field< TElement >.Length, IG.Num.BoundingBoxBase.Map(), IG.Num.BoundingBoxBase.Max, IG.Gr3d.VtkSurfacePlot.Mesh, IG.Num.BoundingBoxBase.Min, IG.Gr3d.VtkPlotBase.OutputLevel, IG.Gr3d.VtkPlotter.ResetCamera(), IG.Gr3d.VtkPlotBase.ShowPlot(), IG.Num.BoundingBoxBase.ToString(), IG.Num.BoundingBox3d.Update(), and IG.Num.Vector3d.Vec.

void IG.Forms.VectorFunctionPlotter2d.neuralInputSelector1_SelectedParameterIdChanged | ( | object | sender,
|  | IndexChangeEventArgs | e
| ) |  |
| inline private

Executes when ID of the selected first input parameter changes; Plots the parametric test.

Parameters

  sender | Control that generated the event.
  e | Event arguments that contain the old and new value.

void IG.Forms.VectorFunctionPlotter2d.neuralInputSelector1_SelectedParameterMinChanged | ( | object | sender,
|  | ValueChangeEventArgs | e
| ) |  |
| inline private

Executes when minimal value of the selected first parameter changes by user interaction; Plots the parametric test.

Parameters

  sender | Control that generated the event.
  e | Event arguments that contain the old and new value.

void IG.Forms.VectorFunctionPlotter2d.neuralInputSelector1_SelectedParameterMaxChanged | ( | object | sender,
|  | ValueChangeEventArgs | e
| ) |  |
| inline private

Executes when maximal value of the selected first parameter changes by user interaction; Plots the parametric test.

Parameters

  sender | Control that generated the event.
  e | Event arguments that contain the old and new value.

void IG.Forms.VectorFunctionPlotter2d.neuralInputSelector2_SelectedParameterIdChanged | ( | object | sender,
|  | IndexChangeEventArgs | e
| ) |  |
| inline private

Executes when ID of the selected second input parameter changes; Plots the parametric test.

Parameters

  sender | Control that generated the event.
  e | Event arguments that contain the old and new value.

void IG.Forms.VectorFunctionPlotter2d.neuralInputSelector2_SelectedParameterMinChanged | ( | object | sender,
|  | ValueChangeEventArgs | e
| ) |  |
| inline private

Executes when minimal value of the selected second parameter changes by user interaction; Plots the parametric test.

Parameters

  sender | Object that raised the event.
  e | Event arguments containing the old and new value.

void IG.Forms.VectorFunctionPlotter2d.neuralInputSelector2_SelectedParameterMaxChanged | ( | object | sender,
|  | ValueChangeEventArgs | e
| ) |  |
| inline private

Executes when maximal value of the selected second parameter changes by user interaction; Plots the parametric test.

Parameters

  sender | Object that raised the event.
  e | Event arguments containing the old and new value.

void IG.Forms.VectorFunctionPlotter2d.neuralOutputValueSelector1_SelectedOutputIdChanged | ( | object | sender,
|  | IndexChangeEventArgs | e
| ) |  |
| inline private

Executes when ID of the selected output value changes; Plots the parametric test.

Parameters

  sender | Object that raised the event.
  e | Event arguments containing the old and new value.

void IG.Forms.VectorFunctionPlotter2d.chkPlotImmediately_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.VectorFunctionPlotter2d.numNumPlotPoints1_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.VectorFunctionPlotter2d.numNumPlotPoints1_ValueChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.VectorFunctionPlotter2d.numNumPlotPoints2_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.VectorFunctionPlotter2d.numNumPlotPoints2_ValueChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.VectorFunctionPlotter2d.btnParmTestStart_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

Plots the parametric test.

void IG.Forms.VectorFunctionPlotter2d.btnIdentifyThread_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.UtilForms.IdentifyCurrentThread().

void IG.Forms.VectorFunctionPlotter2d.btnCheck_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.FadingMessage.Launch().

void IG.Forms.VectorFunctionPlotter2d.btnTestFunction_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Num.InputOutputDataDefiniton.CreateDefault(), and IG.Lib.Function.

override void IG.Forms.VectorFunctionPlotter2d.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.VectorFunctionPlotter2d.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

InputOutputDataDefiniton IG.Forms.VectorFunctionPlotter2d._neuralDataDefinition
| private

IScalarFunction IG.Forms.VectorFunctionPlotter2d._scalarFunction
| private

IVectorFunction IG.Forms.VectorFunctionPlotter2d._function
| private

int IG.Forms.VectorFunctionPlotter2d._selectedParameterId1 = 0
| protected

int IG.Forms.VectorFunctionPlotter2d._selectedParameterId2 = 0
| protected

string IG.Forms.VectorFunctionPlotter2d.SelectedParametersIntroStr = "Selected input parameters: "
| static

int IG.Forms.VectorFunctionPlotter2d._selectedOutputId = 0
| protected

int IG.Forms.VectorFunctionPlotter2d._numPoints1 = 80
| protected

int IG.Forms.VectorFunctionPlotter2d._numPoints2 = 80
| protected

PlotterZedGraph IG.Forms.VectorFunctionPlotter2d._plotterZedgraph
| private

bool IG.Forms.VectorFunctionPlotter2d._plotImmediately = false
| private

bool IG.Forms.VectorFunctionPlotter2d._plotImmediately2dAlso = false
| private

bool IG.Forms.VectorFunctionPlotter2d._plotImmediatelyOnNumPointsValueChanged = true
| private

ColorScale IG.Forms.VectorFunctionPlotter2d.SurfaceColorScale
| protected

BoundingBox3d IG.Forms.VectorFunctionPlotter2d.OriginalBounds
| protected

System.ComponentModel.IContainer IG.Forms.VectorFunctionPlotter2d.components = null
| private

Required designer variable.

InputParametersControl IG.Forms.VectorFunctionPlotter2d.neuralInputControl1
| private

System.Windows.Forms.Panel IG.Forms.VectorFunctionPlotter2d.pnlGraph
| private

System.Windows.Forms.NumericUpDown IG.Forms.VectorFunctionPlotter2d.numNumPlotPoints1
| private

System.Windows.Forms.Label IG.Forms.VectorFunctionPlotter2d.lblNumPoints
| private

ZedGraph.ZedGraphControl IG.Forms.VectorFunctionPlotter2d.ParmTestFGraph
| private

System.Windows.Forms.Button IG.Forms.VectorFunctionPlotter2d.btnParamTestStart
| private

IG.Forms.OutputValueSelector IG.Forms.VectorFunctionPlotter2d.neuralOutputValueSelector1
| private

IG.Forms.InputParameterSelectorMinMax IG.Forms.VectorFunctionPlotter2d.neuralInputSelector1
| private

System.Windows.Forms.Label IG.Forms.VectorFunctionPlotter2d.lblTitleParametric2d
| private

IG.Forms.InputParameterSelectorMinMax IG.Forms.VectorFunctionPlotter2d.neuralInputSelector2
| private

System.Windows.Forms.NumericUpDown IG.Forms.VectorFunctionPlotter2d.numNumPlotPoints2
| private

System.Windows.Forms.Label IG.Forms.VectorFunctionPlotter2d.lblNumPointsCross
| private

System.Windows.Forms.Label IG.Forms.VectorFunctionPlotter2d.lblSelectedParameters
| private

System.Windows.Forms.CheckBox IG.Forms.VectorFunctionPlotter2d.chkScaled
| private

IG.Forms.IndicatorLight IG.Forms.VectorFunctionPlotter2d.indicatorLight1
| private

System.Windows.Forms.CheckBox IG.Forms.VectorFunctionPlotter2d.chkPlotImmediately
| private

System.Windows.Forms.Button IG.Forms.VectorFunctionPlotter2d.btnIdentifyThread
| private

System.Windows.Forms.Button IG.Forms.VectorFunctionPlotter2d.btnCheck
| private

System.Windows.Forms.Button IG.Forms.VectorFunctionPlotter2d.btnTestFunction
| private

## Property Documentation

IReporter IG.Forms.VectorFunctionPlotter2d.Reporter
| get private

Reorter used for launching info, warning and error reports.

InputOutputDataDefiniton IG.Forms.VectorFunctionPlotter2d.NeuralDataDefinition
| get set

Data about input and output quantities of the manipulated functions or response.

Referenced by IG.Forms.VectorFunctionScriptControl.btnPlot2d_Click(), and IG.Forms.ScalarFunctionScriptControl.btnPlot2d_Click().

IScalarFunction IG.Forms.VectorFunctionPlotter2d.ScalarFunction
| set

Referenced by IG.Forms.ScalarFunctionScriptControl.btnPlot2d_Click().

IVectorFunction IG.Forms.VectorFunctionPlotter2d.Function
| get set

Referenced by IG.Forms.VectorFunctionScriptControl.btnPlot2d_Click().

int IG.Forms.VectorFunctionPlotter2d.NumInputParameters
| get

Gets number of input parameters.

int IG.Forms.VectorFunctionPlotter2d.NumOutputValues
| get

Gets number of output values.

IVector IG.Forms.VectorFunctionPlotter2d.ParameterValues
| get

Vector of current values of input parameters as defined by the DadaGridView.

double [] IG.Forms.VectorFunctionPlotter2d.MinValues
| get

Minimal values of parameters.

double [] IG.Forms.VectorFunctionPlotter2d.MaxValues
| get

Maximal values of parameters.

int IG.Forms.VectorFunctionPlotter2d.SelectedParameterId1
| get protected set

Sequential number of the selected first parameter as specified by the user.

double IG.Forms.VectorFunctionPlotter2d.SelectedParameterMin1
| get

Minimal value of the selected first parameter.

double IG.Forms.VectorFunctionPlotter2d.SelectedParameterMax1
| get

Maximal value of the selected first parameter as specified by the user.

int IG.Forms.VectorFunctionPlotter2d.SelectedParameterId2
| get protected set

Sequential number of the selected second parameter as specified by the user.

double IG.Forms.VectorFunctionPlotter2d.SelectedParameterMin2
| get

Minimal value of the selected second parameter.

double IG.Forms.VectorFunctionPlotter2d.SelectedParameterMax2
| get

Maximal value of the selected second parameter as specified by the user.

int IG.Forms.VectorFunctionPlotter2d.SelectedOutputId
| get protected set

int IG.Forms.VectorFunctionPlotter2d.NumPlotPoints1
| get set

Number of plotting points in the 1st direction.

int IG.Forms.VectorFunctionPlotter2d.NumPlotPoints2
| get set

Number of plotting points in the 2nd direction.

string IG.Forms.VectorFunctionPlotter2d.SelectedParameterLabelText
| get

Gets axis label text for the currently selected parameter.

string IG.Forms.VectorFunctionPlotter2d.SelectedOutputLabelText
| get

Gets axis label text for the currently selected output value.

PlotterZedGraph IG.Forms.VectorFunctionPlotter2d.Plotterzedgraph
| get

Plotter that is used for plotting the graphs.

bool IG.Forms.VectorFunctionPlotter2d.PlotImmediately
| get set

If true then graph is pletted immediately when any parameter changes that affects it appearance.

bool IG.Forms.VectorFunctionPlotter2d.PlotImmediately2dAlso
| get set

bool IG.Forms.VectorFunctionPlotter2d.PlotImmediatelyOnNumPointsValueChanged
| get set

The documentation for this class was generated from the following files:

- extensions/iglibext/Forms/Numeric/FromNeural/VectorFunctionPlotter2d.cs
- extensions/iglibext/Forms/Numeric/FromNeural/VectorFunctionPlotter2d.Designer.cs